<?php
require_once "app/model/db.class-general.php";

if (!isset($_SESSION)) { session_start(); }


if ($_REQUEST['accion']=='listado'){

    $rol=$_REQUEST['rol'];
    
    $obj = new database_general();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select * from registrar order by secuencia");

    $cadena="<table bgcolor= '#D8D8D8' class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/boton.png' onClick='mostrar_lista(\"".$row['secuencia']."\",".$rol.");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".($row['nombre_mostrar'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;
  
    $obj->disconnect();

}

//------------------------------------
if ($_REQUEST['accion']=='seleccionar'){

    $secuencia = $_POST['secuencia'];
    $rol = $_POST['rol'];

    $obj = new database_general();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select * from registrar where secuencia=".$secuencia);
    
    $row = $obj->fetch_assoc($query);

    $_SESSION['LOGIN'] = 'SI';
    $_SESSION['servidor']=$row['servidor'];
    $_SESSION['usuario']=$row['usuario'];
    $_SESSION['password']=$row['password'];
    $_SESSION['nombre_bd']=$row['nombre_bd'];

    $_SESSION['nombre_mostrar']=$row['nombre_mostrar'];
    $_SESSION['rol']=$rol;

    /*
    echo "SERVIDOR:".$_SESSION['servidor']."\n".
         "USUARIO:".$row['usuario']."\n".
         "PASSWORD:".$row['password']."\n".
         "BDATOS:".$row['nombre_bd'];
    */
    
    $obj->disconnect();
}
?>